package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.RechargeRecord;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface RechargeRecordDAO {
	int insert(RechargeRecord entity);
	int update(RechargeRecord entity);
	int exist(String id);
	RechargeRecord get(String id);
	int delete(String id);
	RechargeRecord getBySerialNum(String erialNum);
	List<RechargeRecord> list();
	List<RechargeRecord> search(Map<String, Object> searchParams, List<Sort> sortList);
}